import javax.swing.*;
import java.awt.*;
import java.util.Observer;
import java.util.Observable;
/**
 * A graphical view of a Counter.
 * 
 * @author Stephen Bloch
 * @version 8, Feb 2
 */

public class CounterComponent extends JComponent implements Observer
{
    private String display = "";
    
    public void paintComponent (Graphics g)
    {
        g.drawString (this.display, 10, 40);
    }
    
    public void update (Observable o, Object newValue)
    {
        this.display = newValue.toString(); // should be an Integer
        this.repaint ();
    }
}
